--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")
local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
local InkedColors = {r = playerColor.r*0.75, g = playerColor.g*0.75,b = playerColor.b*0.75,a = 1}

local AFK, hour, minute
local total = 0
local afk_minutes = 0
local afk_seconds = 0
local update = 0
local interval = 1.0

local frame = CreateFrame("Frame",nil, UIParent, BackdropTemplateMixin and "BackdropTemplate")
frame:Hide();
frame:SetHeight(75)
frame:SetWidth(570)
frame:SetPoint("CENTER", UIParent)
frame:EnableMouse(true)
frame:SetMovable(true)
frame:SetUserPlaced(true)
frame:SetClampedToScreen(true)
frame:SetScript("OnMouseDown", frame.StartMoving)
frame:SetScript("OnMouseUp", frame.StopMovingOrSizing)
frame:SetBackdrop({
    bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
   edgeFile = "Interface\\Addons\\Inked\\Graphics\\Borders\\PsychoBorder",
    tile = true,
    tileSize = 32,
    edgeSize = 10,
    insets = {
        left = 0,
        right = 0,
        top = 0,
        bottom = 0
    }
});
local font = frame:CreateFontString(nil, "ARTWORK", "GameFont_Gigantic")
font:SetText("You are Away From the Keyboard!")
font:SetPoint("TOP", frame, 0, -5)
local timer = frame:CreateFontString(nil, "ARTWORK", "GameFont_Gigantic")
timer:SetText("0:00")
timer:SetPoint("BOTTOM", frame, 0, 5)

function button_OnClick()
    frame:Hide();
	if UnitIsAFK("player") then
        SendChatMessage("", "AFK");
        timer:SetText("0:00")
    end
end

function frame_OnLoad(self)

    self:SetScript("OnEvent", frame_OnEvent)
	self:RegisterEvent("PLAYER_FLAGS_CHANGED");
end

function frame_OnEvent(self, event, ...)
if Inked.db.profile.UseAFK == false then return end
	if (event == "PLAYER_FLAGS_CHANGED") then
		if UnitIsAFK("player") then
			frame:Show();
            AFK = true
            hour, minute = GetGameTime()
            frame:SetScript("OnUpdate", frame_OnUpdate)
        else
            AFK = false
			 frame:Hide();
            total = 0
            frame:SetScript("OnUpdate", nil)
		end
	end
end

function frame_OnUpdate(self, elapsed)
if Inked.db.profile.UseAFK == false then return end
	if AFK == true then
		update = update + elapsed
		if update > interval then
			total = total + 1
			frame_ParseSeconds(total)
			update = 0
		end
	end
end

function frame_ParseSeconds(num)
	local minutes = afk_minutes
	local seconds = afk_seconds
	if num >= 60 then
		minutes = floor(num / 60)
		seconds = tostring(num - (minutes * 60))
		frame_DisplayTime(minutes, seconds)
	else
		minutes = 0
		seconds = num
        frame_DisplayTime(minutes, seconds)
	end
	afk_minutes = tostring(minutes)
	afk_seconds = tostring(seconds)
end

function frame_DisplayTime(minutes, seconds)
	timer:SetText(tostring(minutes)..":"..string.format("%02d", tostring(seconds)))
end

frame_OnLoad(frame);

	local InkedLoginFrame=CreateFrame("Frame")
		InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")
		InkedLoginFrame:RegisterEvent("CINEMATIC_STOP")
		InkedLoginFrame:SetScript("OnEvent", function(self, event) 
		if Inked.db.profile.UseAFK == false then return end
												
		end)